Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class Sequence

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  groovy.lang.Sequence

All Implemented Interfaces:
  GroovyObject

    public class Sequence
    extends ArrayList

Represents a sequence of objects which represents zero or many instances of of objects of a given type. The type can be ommitted in which case any type of object can be added.

Authors:
  James Strachan

Version:
  \$Revision: 12708 \$

Constructor Summary
`Sequence()`
`Sequence(Class type)`
`Sequence(Class type, List content)`

Method Summary
`void` | `add(int index, Object element)`
`boolean` | `add(Object element)`
`boolean` | `addAll(Collection c)`
`boolean` | `addAll(int index, Collection c)`
`protected void` | `checkCollectionType(Collection c)` Checks that each member of the given collection are of the correct type
`protected void` | `checkType(Object object)` Checks that the given object instance is of the correct type otherwise a runtime exception is thrown
`void` | `clear()`
`boolean` | `equals(Object that)`
`boolean` | `equals(Sequence that)`
`MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`int` | `hashCode()`
`Object` | `invokeMethod(String name, Object args)`
`int` | `minimumSize()`
`Object` | `remove(int index)`
`protected void` | `removeRange(int fromIndex, int toIndex)`
`void` | `set(Collection collection)` Sets the contents of this sequence to that of the given collection.
`Object` | `set(int index, Object element)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`
`Class` | `type()` @return the type of the elements in the sequence or null if there is no type constraint on this sequence

Methods inherited from class ArrayList
add, add, get, clone, indexOf, clear, contains, isEmpty, lastIndexOf, size, subList, toArray, toArray, addAll, addAll, iterator, remove, remove, set, ensureCapacity, trimToSize, listIterator, listIterator, removeAll, retainAll, equals, hashCode, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractList
add, add, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, remove, set, listIterator, listIterator, toString, contains, isEmpty, size, toArray, toArray, addAll, remove, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size

Methods inherited from class AbstractCollection
add, toString, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Sequence

    public Sequence()

### Sequence

    public Sequence(Class type)

### Sequence

    public Sequence(Class type, List content)

Method Detail

### add

    public void add(int index, Object element)

### add

    public boolean add(Object element)

### addAll

    public boolean addAll(Collection c)

### addAll

    public boolean addAll(int index, Collection c)

### checkCollectionType

    protected void checkCollectionType(Collection c)

  Checks that each member of the given collection are of the correct type

### checkType

    protected void checkType(Object object)

  Checks that the given object instance is of the correct type otherwise a runtime exception is thrown

### clear

    public void clear()

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(Sequence that)

### getMetaClass

    public MetaClass getMetaClass()

### getProperty

    public Object getProperty(String property)

### hashCode

    public int hashCode()

### invokeMethod

    public Object invokeMethod(String name, Object args)

### minimumSize

    public int minimumSize()

### remove

    public Object remove(int index)

### removeRange

    protected void removeRange(int fromIndex, int toIndex)

### set

    public void set(Collection collection)

  Sets the contents of this sequence to that of the given collection.

### set

    public Object set(int index, Object element)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)

### type

    public Class type()

  Returns:
    the type of the elements in the sequence or null if there is no type constraint on this sequence

Copyright © 2003-2010 The Codehaus. All rights reserved.